Get report data by id
curl --request POST \
--url https://api.riskportal.activeviam.com/api/Report/GetReportDataById \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"report_id": "report_id"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/Report/GetReportDataById"
payload = { "report_id": "report_id" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({report_id: 'report_id'})
};
fetch('https://api.riskportal.activeviam.com/api/Report/GetReportDataById', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/Report/GetReportDataById",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'report_id' => 'report_id'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/Report/GetReportDataById"
payload := strings.NewReader("{\n \"report_id\": \"report_id\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/Report/GetReportDataById")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"report_id\": \"report_id\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/Report/GetReportDataById")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"report_id\": \"report_id\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"pricing_date": "2000-01-23T04:56:07.000+00:00",
"market_data_date": "2000-01-23T04:56:07.000+00:00",
"portfolio_date_time": "2000-01-23T04:56:07.000+00:00",
"data_tables": {
"key": ""
}
}
}Get report data by id
POST
/
api
/
Report
/
GetReportDataById
Get report data by id
curl --request POST \
--url https://api.riskportal.activeviam.com/api/Report/GetReportDataById \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"report_id": "report_id"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/Report/GetReportDataById"
payload = { "report_id": "report_id" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({report_id: 'report_id'})
};
fetch('https://api.riskportal.activeviam.com/api/Report/GetReportDataById', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/Report/GetReportDataById",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'report_id' => 'report_id'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/Report/GetReportDataById"
payload := strings.NewReader("{\n \"report_id\": \"report_id\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/Report/GetReportDataById")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"report_id\": \"report_id\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/Report/GetReportDataById")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"report_id\": \"report_id\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"pricing_date": "2000-01-23T04:56:07.000+00:00",
"market_data_date": "2000-01-23T04:56:07.000+00:00",
"portfolio_date_time": "2000-01-23T04:56:07.000+00:00",
"data_tables": {
"key": ""
}
}
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
The request.
Response
Success
Available options:
Derivitec.Web.Core.Reports.ApiGetReportDataByIdResponse, Derivitec.Web.Core Show child attributes
Show child attributes
Example:
{
"pricing_date": "2000-01-23T04:56:07.000+00:00",
"market_data_date": "2000-01-23T04:56:07.000+00:00",
"portfolio_date_time": "2000-01-23T04:56:07.000+00:00",
"data_tables": { "key": "" }
}
Was this page helpful?